Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CatalogItemKey

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogItemKey

All Implemented Interfaces
  Serializable, Cloneable, Comparable

Direct Known Subclasses:
  CategoryKey, ProductItemKey

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CatalogItemKey

extends Object
implements Serializable, Comparable, Cloneable

This class is the base class for keys used to look-up CatalogItems (Products and Categories).

See Also
  `ProductItemKey`, `CategoryKey`, Serialized Form

Constructor Summary
`CatalogItemKey()` Deprecated See BEA Commerce product offering
`CatalogItemKey(String identifier)` Deprecated See BEA Commerce product offering

Method Summary
`Object` | `clone()` Deprecated See BEA Commerce product offering
`int` | `compareTo(Object key)` Deprecated See BEA Commerce product offering
`boolean` | `equals(Object key)` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CatalogItemKey

    public CatalogItemKey()

  Deprecated See BEA Commerce product offering

  Default constructor.

### CatalogItemKey

    public CatalogItemKey(String identifier)

  Deprecated See BEA Commerce product offering

  Class constructor.

  Parameters
    `identifier` - A `CatalogItem` identifier.

Method Detail

### equals

    public boolean equals(Object key)

  Deprecated See BEA Commerce product offering

  compareTo for the Comparable interface

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object key)

  Deprecated See BEA Commerce product offering

  compareTo for the Comparable interface

  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  Overrides:
    `hashCode` in class `Object`

### getIdentifier

    public String getIdentifier()

  Deprecated See BEA Commerce product offering

  Get the key identifier.

  Returns
    identifier.

### clone

    public Object clone()

  Deprecated See BEA Commerce product offering

  clone implementation for CatalogItemKeys.

  Overrides:
    `clone` in class `Object`
  Returns
    copy of this key.

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Builds a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns
    the string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved